Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../chunk-BN4qSVkS.cjs");
let lodash_es = require("lodash-es");
//#region src/utils/toReactNodes/nodes.tsx
function isLinkNode(node) {
	return Boolean(node && (0, lodash_es.isObject)(node) && "link" in node);
}
function isNextLinkNode(node) {
	return Boolean(node && (0, lodash_es.isObject)(node) && "nextLink" in node);
}
function isIconNode(node) {
	return Boolean(node && (0, lodash_es.isObject)(node) && "icon" in node);
}
function isCurrencyAmountNode(node) {
	return Boolean(node && (0, lodash_es.isObject)(node) && "currencyAmount" in node);
}
function isClipboardTextFieldNode(node) {
	return Boolean(node && (0, lodash_es.isObject)(node) && "clipboardTextField" in node);
}
function isTextNode(node) {
	const allowedKeys = [
		"text",
		"onClick",
		"typography"
	];
	return Boolean(node && (0, lodash_es.isObject)(node) && "text" in node && Object.keys(node).every((key) => allowedKeys.includes(key)));
}
const link = (link) => ({ link });
const nextLink = (nextLink) => ({ nextLink });
const currencyAmount = (currencyAmount) => ({ currencyAmount });
const icon = (icon) => ({ icon });
const clipboardTextField = (clipboardTextField) => ({ clipboardTextField });
//#endregion
exports.clipboardTextField = clipboardTextField;
exports.currencyAmount = currencyAmount;
exports.icon = icon;
exports.isClipboardTextFieldNode = isClipboardTextFieldNode;
exports.isCurrencyAmountNode = isCurrencyAmountNode;
exports.isIconNode = isIconNode;
exports.isLinkNode = isLinkNode;
exports.isNextLinkNode = isNextLinkNode;
exports.isTextNode = isTextNode;
exports.link = link;
exports.nextLink = nextLink;
